## haskell-bz2 0.1.1.1

=== debian/changelog ===
haskell-bz2 (0.1.1.1-2) unstable; urgency=medium

  * Gratuitous sourceful upload.  closes: #960038.

 -- Clint Adams <clint@debian.org>  Sun, 10 May 2020 09:18:11 -0400

haskell-bz2 (0.1.1.1-1) unstable; urgency=low

  * Initial release

 -- Clint Adams <clint@debian.org>  Sat, 01 Feb 2020 11:19:18 -0500

## haskell-bz2 1.0.0.1

=== Makefile ===
.PHONY: clean

SHELL := bash
MAKEFLAGS += --warn-undefined-variables --no-builtin-rules -j
.DELETE_ON_ERROR:

setup: valgrind-3.15.0.tar

clean:
	rm -rf .stack-work dist-newstyle dist *.tar* *.hp *.prof stack.yaml.lock tags *.svg

valgrind-3.15.0.tar.bz2:
	wget https://sourceware.org/pub/valgrind/valgrind-3.15.0.tar.bz2 -O $@

valgrind-3.15.0.tar: valgrind-3.15.0.tar.bz2
	bzip2 -d $< --keep

=== debian/changelog ===
haskell-bz2 (1.0.0.1-2build2) hirsute; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 30 Oct 2020 00:26:33 +0000

haskell-bz2 (1.0.0.1-2build1) groovy; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jul 2020 11:30:11 +0200

haskell-bz2 (1.0.0.1-2) unstable; urgency=medium

  * Don't compile the testsuite multithreaded.

 -- Clint Adams <clint@debian.org>  Sun, 28 Jun 2020 18:57:29 -0400

haskell-bz2 (1.0.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 26 May 2020 09:43:36 -0700

=== debian/control ===
Source: haskell-bz2
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Clint Adams <clint@debian.org>
Priority: optional
Section: haskell
Build-Depends: debhelper (>= 10),
 haskell-devscripts-minimal | haskell-devscripts (>= 0.13),
 cdbs,
 ghc,
 ghc-prof,
 libghc-tasty-dev,
 libghc-tasty-prof,
 libghc-tasty-golden-dev,
 libghc-tasty-golden-prof,
 libghc-tasty-hunit-dev,
 libghc-tasty-hunit-prof,
 c2hs (>= 0.26.1),
 libbz2-dev,
Build-Depends-Indep: ghc-doc,
Standards-Version: 4.5.0
X-Description: bindings to libbz2
 High-level bindings to libbz2 using c2hs and ByteString

Package: libghc-bz2-dev
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
 libbz2-dev,
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-bz2-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-bz2-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

## haskell-bz2 1.0.1.0

=== Makefile ===
.PHONY: clean

MAKEFLAGS += --warn-undefined-variables --no-builtin-rules
.DELETE_ON_ERROR:

setup: valgrind-3.15.0.tar

clean:
	rm -rf .stack-work dist-newstyle dist *.tar* *.hp *.prof stack.yaml.lock tags *.svg

valgrind-3.15.0.tar.bz2:
	wget https://sourceware.org/pub/valgrind/valgrind-3.15.0.tar.bz2 -O $@

valgrind-3.15.0.tar: valgrind-3.15.0.tar.bz2
	bzip2 -d $^ --keep

=== debian/changelog ===
haskell-bz2 (1.0.1.0-2) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.2
  * Sourceful upload for GHC 9.4

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Fri, 08 Sep 2023 21:35:56 +0300

haskell-bz2 (1.0.1.0-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Tue, 14 Jun 2022 15:34:36 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: haskell-bz2
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Clint Adams <clint@debian.org>
 Priority: optional
 Section: haskell
 Build-Depends: debhelper (>= 10),
  haskell-devscripts-minimal | haskell-devscripts (>= 0.13),
  cdbs,
- ghc,
+ ghc (>= 9.4),
  ghc-prof,
  libghc-tasty-dev,
  libghc-tasty-prof,
@@ -18,7 +17,7 @@
  c2hs (>= 0.26.1),
  libbz2-dev,
 Build-Depends-Indep: ghc-doc,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 X-Description: bindings to libbz2
  High-level bindings to libbz2 using c2hs and ByteString

=== debian/rules ===
#!/usr/bin/make -f

DEB_ENABLE_TESTS = yes
DEB_SETUP_BIN_NAME = debian/hlibrary.setup
DEB_CABAL_PACKAGE = bz2
DEB_DEFAULT_COMPILER = ghc

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

build/haskell-bz2-utils:: build-ghc-stamp

=== debian/watch ===
version=3
https://hackage.haskell.org/package/bz2/distro-monitor .*-([0-9\.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-bz2 1.0.1.2

=== Makefile ===
.PHONY: clean

MAKEFLAGS += --warn-undefined-variables --no-builtin-rules
.DELETE_ON_ERROR:

setup: valgrind-3.15.0.tar

clean:
	rm -rf dist-newstyle dist *.tar* *.hp *.prof tags *.svg

valgrind-3.15.0.tar.bz2:
	curl https://sourceware.org/pub/valgrind/valgrind-3.15.0.tar.bz2 -o $@

valgrind-3.15.0.tar: valgrind-3.15.0.tar.bz2
	bzip2 -d $^ --keep

=== debian/changelog ===
haskell-bz2 (1.0.1.2-2) unstable; urgency=medium

  [ Scott Talbert ]
  * Build using dh-haskell

 -- Clint Adams <clint@debian.org>  Tue, 13 Jan 2026 18:53:19 -0500

haskell-bz2 (1.0.1.2-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Declare compliance with Debian policy 4.7.0

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Thu, 03 Oct 2024 09:07:30 -0400

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Uploaders: Clint Adams <clint@debian.org>
 Priority: optional
 Section: haskell
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
  haskell-devscripts-minimal | haskell-devscripts (>= 0.13),
- cdbs,
+ dh-sequence-haskell,
  ghc (>= 9.4),
  ghc-prof,
  libghc-tasty-dev,
@@ -17,7 +17,10 @@
  c2hs (>= 0.26.1),
  libbz2-dev,
 Build-Depends-Indep: ghc-doc,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
+Homepage: https://hackage.haskell.org/package/bz2
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-bz2
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-bz2]
 X-Description: bindings to libbz2
  High-level bindings to libbz2 using c2hs and ByteString
